# Generated by Django 4.0.4 on 2022-05-02 10:09

from django.db import migrations
from django.db.models import F

import seawatch_registration.models


def set_my_defaults(apps, schema_editor):
    """
    update the name to id
    """
    Mission = apps.get_model("missions", "Mission")
    Mission.objects.update(name=F("id"))


def reverse_func(apps, schema_editor):
    """ """
    pass


class Migration(migrations.Migration):
    dependencies = [
        ("missions", "0026_alter_availability_availability_and_more"),
    ]

    operations = [
        migrations.AddField(
            model_name="mission",
            name="name",
            field=seawatch_registration.models.ShortTextField(null=True),
        ),
        migrations.RunPython(set_my_defaults, reverse_func),
        migrations.AlterField(
            model_name="mission",
            name="name",
            field=seawatch_registration.models.ShortTextField(unique=True),
        ),
    ]
